POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "203d59e4-94f7-44b5-8502-8266e37e740d",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "0293aed0-8112-4d08-a477-5641a2f90664",
"contractItem_ID": "d04ca6b3-c87f-4960-817d-9d1c806aab7e",
"departement_ID": "cdb5ff83-bac4-4fe6-be12-b2fbda404071",
"departmentItem_ID": "3b4a5cb9-1723-415f-a645-e0706dc64422",
"iD": "e0dc261d-a9ee-4b73-918b-5e5ddb58f018",
"site_ID": "f9779290-0430-484b-a380-0a6d47f32a14",
"siteCustomer_ID": "fb850100-0cea-4d2f-92a9-c247bb956cec",
"sticker_ID": "5f40b8b1-44fc-4b91-b199-d0cc52583257",
"garment_ID": "7af82c11-efb6-4d18-be40-39693b0da8f2"
},
{
"active": true,
"contract_ID": "0293aed0-8112-4d08-a477-5641a2f90664",
"contractItem_ID": "d04ca6b3-c87f-4960-817d-9d1c806aab7e",
"departement_ID": "cdb5ff83-bac4-4fe6-be12-b2fbda404071",
"departmentItem_ID": "3b4a5cb9-1723-415f-a645-e0706dc64422",
"iD": "e0dc261d-a9ee-4b73-918b-5e5ddb58f018",
"site_ID": "f9779290-0430-484b-a380-0a6d47f32a14",
"siteCustomer_ID": "fb850100-0cea-4d2f-92a9-c247bb956cec",
"sticker_ID": "5f40b8b1-44fc-4b91-b199-d0cc52583257",
"garment_ID": "7af82c11-efb6-4d18-be40-39693b0da8f2"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "da8b9ad4-1875-4958-9f33-b12983a60ee4",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "83a1a8f4-6260-4d16-a478-571ccdbf6323",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "72b0917c-4a99-45de-a151-e8c6d870bb43",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "eab4aae4-15ff-4077-86a6-d592b6a57770",
"stickerField_ID": "5c942968-4d08-4771-929f-73c61e775a46",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "da8b9ad4-1875-4958-9f33-b12983a60ee4",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "83a1a8f4-6260-4d16-a478-571ccdbf6323",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "72b0917c-4a99-45de-a151-e8c6d870bb43",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "eab4aae4-15ff-4077-86a6-d592b6a57770",
"stickerField_ID": "5c942968-4d08-4771-929f-73c61e775a46",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "58dbc5f6-c009-4555-9e06-bdcb67555223",
"stickerType_ID": "684e6c57-4e53-4493-9020-39344df72b0e",
"stickerRelation_IDs": [
"44c1b279-6866-4730-b3d8-db90c9fed3f9",
"0ffbada0-dd05-4338-927f-89e8669a5975"
],
"site_ID": "a0161c9c-3c25-4d47-b235-d3e951d67fbc"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"145ec4b6-8b31-4237-b2d4-e561574e6d01"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">145ec4b6-8b31-4237-b2d4-e561574e6d01</guid>